#!/bin/sh 

echo ; echo "Called script with command line:"
echo ; echo $0 $*

#test if we have the right number of arguments
if test $# -ne 2
then 
 echo ; echo Usage: MoveLinks linkName newFileName
 exit 
fi

linkName=$1
echo ; echo "Link Name: $linkName"


newFileName=$2
echo ; echo "New File Name: $newFileName"

#test if both files exist 
if [ ! -h $linkName ]
then
 echo ; echo "$linkName is not an existing link : exiting"
 exit
fi

if  [ ! -f $newFileName ]
then
 echo ; echo "$newFileName is not an existing file : exiting" 
 exit
fi


#change directory

linkDirectory=`dirname $linkName`

echo ; echo "Link Directory: $linkDirectory"

cd $linkDirectory

echo ; echo pwd: `pwd`

#determine the name of the target file
#that the link refers to

lsOutput=`ls -l $linkName`
targetName=`echo $lsOutput | awk  -F'> ' '{print $2}'  -`
echo ; echo "Target Name: $targetName"

#delete the link file (.jv~)
rm $linkName

#copy the new .java file on the target file
cp $newFileName $targetName

#delete the new .java file
rm $newFileName 

#create a link from the target file to the new .java file
ln -s $targetName $newFileName
echo ; echo "Created new link:" 
echo ; echo `ls -l $newFileName`
echo ; echo Exiting script
echo
exit
